[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: guile build failure - help !

From: Ludovic Courtès
Subject: Re: guile build failure - help !
Date: Mon, 24 Nov 2008 21:41:24 +0100
User-agent: Gnus/5.11 (Gnus v5.11) Emacs/22.3 (gnu/linux)


"Neil Jerram" <address@hidden> writes:

> When Guile is built on a machine with libtool 2.2, the problem is an
> extra line in the libtool 2.2 version of ltdl.h:
> #define lt_preloaded_symbols    lt__PROGRAM__LTX_preloaded_symbols
> This causes the code in guile.c to reference
> lt__PROGRAM__LTX_preloaded_symbols, and the aclocal.m4-generated code
> doesn't define that, so we have an undefined reference.

Thanks for finding this out!

At any rate, I think we should switch to Libtool 2.2 now, even for
1.8.6, as I don't expect it to introduce any regressions and it would be
mostly invisible to end-user since ltdl itself is compatible.

I saw Mike Gran's patch on `guile-user', and it seems to be the Right
Thing.  I'll try all that out and report back.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]